{*
* 2017 Open agence
* @author Open agence <contact@open-agence.com>
* @copyright 2017 Open agence
*}

<div class="form-group">
    <label class="control-label col-lg-3">{l s='Add a new image to this value' mod='oa_features'}</label>
    <div class="col-lg-9">
        <div class="form-group">
            <div class="col-sm-9">
                <input id="file" type="file" name="filename" class="hide" style="display:none">
                <div class="input-group">
                    <span class="input-group-addon"><i class="icon-file"></i></span>
                    <input id="file-name" type="text" name="filename" readonly="">
                    <span class="input-group-btn">
						<button id="file-browse" type="button" name="submitAddAttachments" class="btn btn-default">
							<i class="icon-folder-open"></i>&nbsp;{l s='Add file' mod='oa_features'}
						</button>
					</span>
                </div>
            </div>
            <div class="col-sm-2">
                {if $featurePicto}
                    <a href="#" data-url="{$url_global}" data-id="{$id_feature_value}"
                       class="delete_feature_image pull-left btn btn-default">
                        <i class="icon-trash"></i> &nbsp;{l s='delete file' mod='oa_features'}
                    </a>
                {/if}
            </div>
        </div>
        {if $featurePicto}
            <div class="pull-left">
                <img id="featurePicto" src="{$featurePicto|escape:'htmlall':'UTF-8'}" alt="" width="32" height="auto"/>
            </div>
        {/if}

        <script type="text/javascript">
            $(document).ready(function () {
                var oa_feature = new OAFeatures();
                oa_feature.init();
            });

            var OAFeatures;
            OAFeatures = function () {
                this.init = function () {

                    $('.delete_feature_image').click(function (e) {
                        var refreshURL = $(this).attr('data-url');
                        var id_feature_value = $(this).attr('data-id');
                        var requestData = {
                            id_feature: id_feature_value
                        };

                        $.post(refreshURL, requestData).then(function (resp) {
                            $('#featurePicto').attr('src', '').hide();
                        });
                    });

                    $('#file-browse').click(function (e) {
                        $('#file').trigger('click');
                    });

                    $('#file-name').click(function (e) {
                        $('#file').trigger('click');
                    });

                    $('#file-name').on('dragenter', function (e) {
                        e.stopPropagation();
                        e.preventDefault();
                    });

                    $('#file-name').on('dragover', function (e) {
                        e.stopPropagation();
                        e.preventDefault();
                    });

                    $('#file-name').on('drop', function (e) {
                        e.preventDefault();
                        var files = e.originalEvent.dataTransfer.files;
                        $('#file')[0].files = files;
                        $(this).val(files[0].name);
                    });

                    $('#file').change(function (e) {
                        if ($(this)[0].files !== undefined) {
                            var files = $(this)[0].files;
                            var name = '';
                            $.each(files, function (index, value) {
                                name += value.name + ', ';
                            });
                            $('#file-name').val(name.slice(0, -2));
                        }
                        else {
                            var name = $(this).val().split(/[\\/]/);
                            $('#file-name').val(name[name.length - 1]);
                        }
                    });

                    if (typeof logo_max_files !== 'undefined') {
                        $('#file').closest('form').on('submit', function (e) {
                            if ($('#file')[0].files.length > logo_max_files) {
                                e.preventDefault();
                                alert('You can upload a maximum of files');
                            }
                        });
                    }

                }
            };

        </script>
    </div>
</div>
